Method: projects.locations.changeRequests.patch

Updates a ChangeRequest. Only allowed when the state is NEW.

HTTP request

PATCH https://dataplex.googleapis.com/v1/{changeRequest.name=projects/*/locations/*/changeRequests/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
changeRequest.name

string

Identifier. The relative resource name of the ChangeRequest, of the form: projects/{projectNumber}/locations/{locationId}/changeRequests/{change_request_id}

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of ChangeRequest.

Response body

If successful, the response body contains an instance of ChangeRequest.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/dataplex.read-write

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • dataplex.changeRequests.update

For more information, see the IAM documentation.